Index: src/isdn/Q931StateNT.c
===================================================================
--- src/isdn/Q931StateNT.c	(revision 495)
+++ src/isdn/Q931StateNT.c	(working copy)
@@ -670,8 +667,8 @@
 *****************************************************************************/
 L3INT Q931ProcReleaseNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -679,19 +676,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -703,8 +700,8 @@
 *****************************************************************************/
 L3INT Q931ProcReleaseCompleteNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -712,19 +709,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -736,8 +733,8 @@
 *****************************************************************************/
 L3INT Q931ProcRestartNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -745,19 +742,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -769,8 +766,8 @@
 *****************************************************************************/
 L3INT Q931ProcRestartAckNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -778,19 +775,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -802,8 +799,8 @@
 *****************************************************************************/
 L3INT Q931ProcCongestionControlNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -811,19 +808,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -835,8 +832,8 @@
 *****************************************************************************/
 L3INT Q931ProcInformationNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -844,19 +841,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -868,8 +865,8 @@
 *****************************************************************************/
 L3INT Q931ProcNotifyNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -877,19 +874,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -901,8 +898,8 @@
 *****************************************************************************/
 L3INT Q931ProcStatusNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -910,19 +907,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -934,8 +931,8 @@
 *****************************************************************************/
 L3INT Q931ProcStatusEnquiryNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -943,19 +940,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -967,8 +964,8 @@
 *****************************************************************************/
 L3INT Q931ProcSegmentNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -976,19 +973,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1004,8 +1001,8 @@
 *****************************************************************************/
 L3INT Q932ProcFacilityNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1013,19 +1010,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1037,8 +1034,8 @@
 *****************************************************************************/
 L3INT Q932ProcHoldNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1046,19 +1043,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1070,8 +1067,8 @@
 *****************************************************************************/
 L3INT Q932ProcHoldAckNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1079,19 +1076,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1103,8 +1100,8 @@
 *****************************************************************************/
 L3INT Q932ProcHoldRejectNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1112,19 +1109,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1136,8 +1133,8 @@
 *****************************************************************************/
 L3INT Q932ProcRegisterNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1145,19 +1142,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1169,8 +1166,8 @@
 *****************************************************************************/
 L3INT Q932ProcRetrieveNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1178,19 +1175,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1202,8 +1199,8 @@
 *****************************************************************************/
 L3INT Q932ProcRetrieveAckNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1211,19 +1208,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
@@ -1235,8 +1232,8 @@
 *****************************************************************************/
 L3INT Q932ProcRetrieveRejectNT(Q931_TrunkInfo_t *pTrunk, L3UCHAR * buf, L3INT iFrom)
 {
-    L3INT callIndex;
-    L3INT ret=Q931E_NO_ERROR;
+	L3INT callIndex;
+	L3INT ret=Q931E_NO_ERROR;
 	Q931mes_Header *pMes = (Q931mes_Header *)&buf[Q931L4HeaderSpace];
 
 	/* Find the call using CRV */
@@ -1244,19 +1241,19 @@
 	if(ret != Q931E_NO_ERROR)
 		return ret;
 
-	/* TODO chack against state table for illegal or unexpected message here*/
+	/* TODO chack against state table for illegal or unexpected message here */
 
 	/* TODO - Set correct timer here */
-    Q931StartTimer(pTrunk, callIndex, 303);
+	Q931StartTimer(pTrunk, callIndex, 303);
 	if(iFrom == 4)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx32(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx32Data(pTrunk,buf,pMes->Size);
 	}
-	else if (iFrom ==2)
+	else if (iFrom == 2)
 	{
-		/* TODO Add proc here*/
-        ret = Q931Tx34(pTrunk,buf,pMes->Size);
+		/* TODO Add proc here */
+		ret = Q931Tx34(pTrunk,buf,pMes->Size);
 	}
 	return ret;
 }
